﻿using Microsoft.UI.Xaml;

using CommunityToolkit.WinUI.Notifications;

namespace TestProject.WinUI;

/// <summary>
/// 앱
/// </summary>
public partial class App : MauiWinUIApplication
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - App()

    /// <summary>
    /// 생성자
    /// </summary>
    public App()
    {
        this.InitializeComponent();
    }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Protected

    #region MAUI 앱 생성하기 - CreateMauiApp()

    /// <summary>
    /// MAUI 앱 생성하기
    /// </summary>
    /// <returns>MAUI 앱</returns>
    protected override MauiApp CreateMauiApp() => MauiProgram.CreateMauiApp();

    #endregion
    #region 시작시 처리하기 - OnLaunched(e)

    /// <summary>
    /// 시작시 처리하기
    /// </summary>
    /// <param name="e">이벤트 인자</param>
    protected override void OnLaunched(LaunchActivatedEventArgs e)
    {
        ToastNotificationManagerCompat.OnActivated += toastNotificationManagerCompat_OnActivated;

        base.OnLaunched(e);
    }

    #endregion

    ////////////////////////////////////////////////////////////////////////////////////////// Private

    #region 토스트 알림 관리자 컴팩트 활성화시 처리하기 - toastNotificationManagerCompat_OnActivated(e)

    /// <summary>
    /// 토스트 알림 관리자 컴팩트 활성화시 처리하기
    /// </summary>
    /// <param name="e">이벤트 인자</param>
    private void toastNotificationManagerCompat_OnActivated(ToastNotificationActivatedEventArgsCompat e)
    {
    }

    #endregion
}